GenAI Integration

Retrieve video generation operation (Gemini format)

Polls the status of a long-running video generation operation produced by models/{model}:generateVideos. The Gemini SDK appends the operation name as a wildcard path segment. If the operation name contains /, it must be percent-encoded in the request path (for example, %2F) to remain conformant with OpenAPI 3.x path-parameter semantics.

GET
/genai/v1beta/models/{model}/operations/{operation_id}
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

modelstring

Video model identifier (e.g. veo-3.1-generate-preview).

operation_idstring

Operation name. If it contains /, it must be percent-encoded in the request path (for example, %2F).

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/genai/v1beta/models/string/operations/string"
{}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
On this page

On this page

No Headings